From 452afefbb0e52b7d4d36057f5be9ad63fb8b6db5 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Oct 12 2017 12:43:09 +0000
Subject: [PATCH 982/1001] A couple improvements related to react-universal-component


Use top-level components to make HMR easier one day.

---

diff --git a/hubs/static/client/app/components/AddWidget/AddWidgetDialog.js b/hubs/static/client/app/components/AddWidget/AddWidgetDialog.js
index 068d1de..efce753 100644
--- a/hubs/static/client/app/components/AddWidget/AddWidgetDialog.js
+++ b/hubs/static/client/app/components/AddWidget/AddWidgetDialog.js
@@ -9,6 +9,16 @@ import { addWidget } from '../../core/actions/widget';
 import { makeLoadable } from '../../core/utils';
 
 
+const AsyncComponent = makeLoadable(
+  (props) => import(
+    /* webpackChunkName: "[request]" */
+    `../../widgets/${props.widget.name}/Config`
+  ),
+  "Loading widget configuration...",
+  "Sorry, there was a problem loading the widget configuration."
+);
+
+
 class AddWidgetDialog extends React.Component {
 
   constructor(props) {
@@ -117,11 +127,6 @@ class AddWidgetDialog extends React.Component {
       // Second step: configure the widget
       title = "Adding widget " + this.state.selectedWidget.label;
       if (this.state.selectedWidget.isReact) {
-        const AsyncComponent = makeLoadable(
-          () => import(`../../widgets/${this.state.selectedWidget.name}/Config`),
-          "Loading widget configuration...",
-          "Sorry, there was a problem loading the widget configuration."
-        );
         contents = (
           <AsyncComponent
             widget={this.state.selectedWidget}
diff --git a/hubs/static/client/app/components/SimpleWidget.js b/hubs/static/client/app/components/SimpleWidget.js
index 5d644cc..5695b40 100644
--- a/hubs/static/client/app/components/SimpleWidget.js
+++ b/hubs/static/client/app/components/SimpleWidget.js
@@ -76,7 +76,7 @@ export default class SimpleWidget extends React.PureComponent {
         editMode={this.props.editMode}
         >
         { this.state.isLoading &&
-          <div className="text-muted">Loading...</div>
+          <div className="p-2 text-muted">Loading...</div>
           ||
           <div className="p-2" dangerouslySetInnerHTML={{__html: this.state.contents}} />
         }
diff --git a/hubs/static/client/app/components/Widget.js b/hubs/static/client/app/components/Widget.js
index 96c5d5b..f2951b6 100644
--- a/hubs/static/client/app/components/Widget.js
+++ b/hubs/static/client/app/components/Widget.js
@@ -5,6 +5,16 @@ import { makeLoadable } from '../core/utils';
 import SimpleWidget from '../components/SimpleWidget';
 
 
+const AsyncComponent = makeLoadable(
+  (props) => import(
+    /* webpackChunkName: "[request]" */
+    `../widgets/${props.widget.component}/Widget`
+  ),
+  "Loading widget...",
+  "Sorry, there was a problem loading the widget."
+);
+
+
 class Widget extends React.PureComponent {
 
   propTypes: {
@@ -20,11 +30,6 @@ class Widget extends React.PureComponent {
   render() {
     let widgetComponent;
     if (!this.props.editMode && this.props.widget.isReact) {
-      const AsyncComponent = makeLoadable(
-        () => import(`../widgets/${this.props.widget.component}/Widget`),
-        "Loading widget...",
-        "Sorry, there was a problem loading the widget."
-      );
       widgetComponent = (
         <AsyncComponent {...this.props} />
       );
diff --git a/hubs/static/client/app/components/WidgetConfigDialog.js b/hubs/static/client/app/components/WidgetConfigDialog.js
index 1a8bd33..58987da 100644
--- a/hubs/static/client/app/components/WidgetConfigDialog.js
+++ b/hubs/static/client/app/components/WidgetConfigDialog.js
@@ -11,6 +11,16 @@ import SimpleWidgetConfig from '../components/SimpleWidgetConfig';
 import Modal from '../components/Modal';
 
 
+const AsyncComponent = makeLoadable(
+  (props) => import(
+    /* webpackChunkName: "[request]" */
+    `../widgets/${props.widget.name}/Config`
+  ),
+  "Loading widget configuration...",
+  "Sorry, there was a problem loading the widget configuration."
+);
+
+
 class WidgetConfigDialog extends React.Component {
 
   propTypes: {
@@ -64,14 +74,8 @@ class WidgetConfigDialog extends React.Component {
     if (!this.props.widget) {
       return null;
     }
-    const widgetName = this.props.widget.name;
     let contents;
     if (this.props.widget.isReact) {
-      const AsyncComponent = makeLoadable(
-        () => import(`../widgets/${widgetName}/Config`),
-        "Loading widget configuration...",
-        "Sorry, there was a problem loading the widget configuration."
-      );
       contents = (
         <AsyncComponent
           widget={this.props.widget}
diff --git a/hubs/static/client/app/core/Pages.js b/hubs/static/client/app/core/Pages.js
index 6277719..67aee23 100644
--- a/hubs/static/client/app/core/Pages.js
+++ b/hubs/static/client/app/core/Pages.js
@@ -4,12 +4,12 @@ import {
 } from '../core/utils';
 
 
-let Hub = makeLoadable(
+const Hub = makeLoadable(
   () => import(/* webpackChunkName: "page-hub" */ '../components/HubPage'),
   "Loading...",
   "Sorry, there was a problem loading the page."
 );
-let Streams = makeLoadable(
+const Streams = makeLoadable(
   () => import(/* webpackChunkName: "page-streams" */ '../components/StreamsPage'),
   "Loading...",
   "Sorry, there was a problem loading the page."
diff --git a/hubs/static/client/app/index.js b/hubs/static/client/app/index.js
index cccae63..4b97cc6 100644
--- a/hubs/static/client/app/index.js
+++ b/hubs/static/client/app/index.js
@@ -1,6 +1,8 @@
 // Read the public path from the backend
 // https://webpack.js.org/guides/public-path/
-__webpack_public_path__ = window.resourceBaseUrl;
+if(window.resourceBaseUrl) {
+  __webpack_public_path__ = window.resourceBaseUrl;
+}
 
 import React from 'react';
 import ReactDOM from 'react-dom';

